it-swarm-es.tech

0 fsockopen (): no se puede encontrar el transporte de socket "ssl"

Tengo Joomla 3.3.1 en localhost, estoy tratando de instalar "Akeeba Backup" desde (instalar desde la web bajo el administrador de extensiones) y obtengo este error. **

screenshot

--- no intenté descargar y cargar el archivo .Zip en el administrador de extensiones, quiero resolver este problema.

2
Elhamy

Como dice el mensaje de error, es posible que no haya habilitado SSL en su php.ini archivo.

Si estás usando algo como Xampp, probablemente necesites descomentar al menos dos líneas en el php.ini archivo. El primero en verificar es para el directorio de extensión (extension_dir=) y el segundo será para la extensión SSL ''.

La sección del directorio en php.ini se ve así, en mi máquina de desarrollo:

; Directory in which the loadable extensions (modules) reside.
; http://php.net/extension-dir
; extension_dir = "./"
extension_dir = "/usr/lib/php/extensions/no-debug-non-zts-20100525/"
; On windows:
; extension_dir = "ext"

Puede ver que hay una referencia específica para el directorio de extensiones en Windows que puede necesitar descomentar.

Las referencias a las extensiones agudas se encuentran más abajo en una sección llamada Dynamic Extensions p.ej. Aquí está la sección relevante de mi desarrollador. php.ini archivo.

;;;;;;;;;;;;;;;;;;;;;;
; Dynamic Extensions ;
;;;;;;;;;;;;;;;;;;;;;;

; If you wish to have an extension loaded automatically, use the following
; syntax:
;
;   extension=modulename.extension
;
; For example, on Windows:
;
;   extension=msql.dll
;
; ... or under UNIX:
;
;   extension=msql.so
;
; ... or with a path:
;
;   extension=/path/to/extension/msql.so
;

Más abajo en ese bloque está el Windows Extensions sección que tiene:

;extension=php_openssl.dll

Recuerda dos cosas:

  1. haz una copia de seguridad de tu php.ini primero en caso de que hagas algo de lo que no puedas recuperarte.
  2. deberá reiniciar Apache después de realizar cualquier cambio en php.ini
1
Craig